<?php
function rcms_scandir($directory, $exp = '', $type = 'all', $do_not_filter = false) {
	$dir = $ndir = array();
	if(!empty($exp)){
		$exp = '/^' . str_replace('*', '(.*)', str_replace('.', '\\.', $exp)) . '$/';
	}
	if(!empty($type) && $type !== 'all'){
		$func = 'is_' . $type;
	}
	if(is_dir($directory)){
		$fh = opendir($directory);
		while (false !== ($filename = readdir($fh))) {
			if(substr($filename, 0, 1) != '.' || $do_not_filter) {
				if((empty($type) || $type == 'all' || $func($directory . '/' . $filename)) && (empty($exp) || preg_match($exp, $filename))){
					$dir[] = $filename;
				}
			}
		}
		closedir($fh);
		natsort($dir);
	}
	return $dir;
}


?>
<!DOCTYPE HTML>
<html>
<head>
<title>Fast log analizer</title> 
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<body>
<?php if (isset($_POST['go'])) { 

$array_result = array();
$log_path = !empty($_POST['log_path']) ? $_POST['log_path'] : dirname(__FILE__);
echo '<h2>Scanning path:  '. $log_path.'</h2>---------------------------------------------------------------<br/><br/>';
$logs = rcms_scandir($log_path,'*.log','',true);
foreach ($logs as $log) {
if (!empty($log)) {
echo '<h4>Scanning file: '. $log.'</h4>---------------------------------------------------------------<br/><br/>';
$text_array = file($log_path.DIRECTORY_SEPARATOR.$log);}
if (!empty ($text_array)) {
foreach ($text_array as $text) {
			if( preg_match('#(\d+\.\d+\.\d+\.\d+\s)#', $text, $m ) )
			$array_result [$m[1]]++;
}
arsort($array_result);
$result = '';
foreach ($array_result as $key=>$value)
$result .= '<tr><td>'.$key.'</td><td>'.$value.'</td>';
$array_result = array();
if (!empty($result))echo '<table><tr><th>IP</th><th>Clicks</th></tr>'.$result.'<tr><td colspan="2">Done!</td></tr></table><br/><br/>';
else echo 'Nothing founded!';
}
}

}?>
<h1>Fast log analizer</h1>
<form action="" method="post">
    <input type="hidden" name="go" value="true">
    Input path to logging: <input type="text" name="log_path" value="">
    <input type="submit" value="Go!">
</form>
</body>
</html>